Subject: [SIP] SIP Servlet Delivery and SIP Root Servlet drafts available

From: "Michael O'Doherty" <[email-masked]>
Date: Tue, 15 Aug 2000 12:27:29 +0100

Hi,

The following internet drafts have been submitted and are now available on
the IETF site:

http://search.ietf.org/internet-drafts/draft-odoherty-sip-servlet-delivery-0
0.txt

Overview:
   This document  proposes a way to distribute SIP Servlets to SIP 
   clients using the SIP protocol itself, including a way to 
   authenticate the source of the Servlet. This may prove a useful 
   mechanism for rolling out new services across multiple SIP 
   clients. 
    
   In addition it proposes a way for an originating SIP Client to 
   specify in a message generated by it that it wants the message to 
   be passed to a particular named SIP Servlet in the receiving SIP 
   Client. 

http://search.ietf.org/internet-drafts/draft-odoherty-root-sip-servlet-00.tx
t

Overview:
  This Internet draft builds on and refines the SIP Servlet API. 
   The SIP Servlet API defines an API for SIP Clients 
   that allows them, via a SIP Servlet engine, present messages to 
   'Servlets' which can then interact with the message and the Client 
   to change the behaviour of the SIP Client. 
    
   This document expands on this concept to: 
    
   - Suggest a standard way to identity or name SIP Servlets 
    
   - Introduce the concept of a 'Root' SIP Servlet 
    
   - Introduce some rules and mechanisms for SIP Servlet interaction 
    
   - Suggest some Permission parameters for invoked SIP Servlets 

If anybody has any comments it is probably best to use the SIP Servlet API
receiver list at :

 http://www-uk.hpl.hp.com/people/ak/sip/servlet/

Cheers,

Mick O'Doherty
Nortel Networks